Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.contents.objects
Class InlineImageHeader

    java.lang.Object
      org.pdfclown.documents.contents.objects.ContentObject
          org.pdfclown.documents.contents.objects.Operation
              org.pdfclown.documents.contents.objects.InlineImageHeader

All Implemented Interfaces:
  Map<PdfName,PdfDirectObject>

    @PDF(value=PDF10)
    public final class InlineImageHeader

extends Operation
implements Map<PdfName,PdfDirectObject>

Inline image entries (anonymous) operation [PDF:1.6:4.8.6].

This is a figurative operation necessary to constrain the inline image entries section within the content stream model.

Since:
  0.0.4
Version:
  0.1.0
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`Map.Entry<K,V>`

Field Summary

Fields inherited from class org.pdfclown.documents.contents.objects.Operation
`operands, operator`

Constructor Summary
`InlineImageHeader(List<PdfDirectObject> operands)`

Method Summary
`void` | `clear()`
`boolean` | `containsKey(Object key)`
`boolean` | `containsValue(Object value)`
`Set<Map.Entry<PdfName,PdfDirectObject>>` | `entrySet()`
`boolean` | `equals(Object object)`
`PdfDirectObject` | `get(Object key)`
`int` | `hashCode()`
`boolean` | `isEmpty()`
`Set<PdfName>` | `keySet()`
`PdfDirectObject` | `put(PdfName key, PdfDirectObject value)`
`void` | `putAll(Map<? extends PdfName,? extends PdfDirectObject> entries)`
`PdfDirectObject` | `remove(Object key)`
`int` | `size()`
`Collection<PdfDirectObject>` | `values()`

Methods inherited from class org.pdfclown.documents.contents.objects.Operation
`get, getOperands, getOperator, toString, writeTo`

Methods inherited from class org.pdfclown.documents.contents.objects.ContentObject
`scan`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InlineImageHeader

    public InlineImageHeader(List<PdfDirectObject> operands)

Method Detail

### clear

    public void clear()

  Specified by:
    `clear` in interface `Map<PdfName,PdfDirectObject>`

### containsKey

    public boolean containsKey(Object key)

  Specified by:
    `containsKey` in interface `Map<PdfName,PdfDirectObject>`

### containsValue

    public boolean containsValue(Object value)

  Specified by:
    `containsValue` in interface `Map<PdfName,PdfDirectObject>`

### entrySet

    public Set<Map.Entry<PdfName,PdfDirectObject>> entrySet()

  Specified by:
    `entrySet` in interface `Map<PdfName,PdfDirectObject>`

### equals

    public boolean equals(Object object)

  Specified by:
    `equals` in interface `Map<PdfName,PdfDirectObject>`
  Overrides:
    `equals` in class `Object`

### get

    public PdfDirectObject get(Object key)

  Specified by:
    `get` in interface `Map<PdfName,PdfDirectObject>`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `Map<PdfName,PdfDirectObject>`
  Overrides:
    `hashCode` in class `Object`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Map<PdfName,PdfDirectObject>`

### keySet

    public Set<PdfName> keySet()

  Specified by:
    `keySet` in interface `Map<PdfName,PdfDirectObject>`

### put

    public PdfDirectObject put(PdfName key,
                               PdfDirectObject value)

  Specified by:
    `put` in interface `Map<PdfName,PdfDirectObject>`

### putAll

    public void putAll(Map<? extends PdfName,? extends PdfDirectObject> entries)

  Specified by:
    `putAll` in interface `Map<PdfName,PdfDirectObject>`

### remove

    public PdfDirectObject remove(Object key)

  Specified by:
    `remove` in interface `Map<PdfName,PdfDirectObject>`

### size

    public int size()

  Specified by:
    `size` in interface `Map<PdfName,PdfDirectObject>`

### values

    public Collection<PdfDirectObject> values()

  Specified by:
    `values` in interface `Map<PdfName,PdfDirectObject>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.